### Method

# GVnc Connection key_event

#### Declaration [src]

    gboolean
    vnc_connection_key_event (
      VncConnection* conn,
      gboolean down_flag,
      guint32 key,
      guint16 scancode
    )

#### Description [src]

Send a key press/release event to the server. By default the event will be sent with the X11 key code from `key`. If the extended key event protocol extension is active, the `scancode` will be sent instead.

#### Parameters

`down_flag`

  Type: `gboolean`

  TRUE if this is a key press, FALSE for a key release.

`key`

  Type: `guint32`

  The X11 key code.

`scancode`

  Type: `guint16`

  The XT scan code.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.